LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-09-2008, 08:30 PM   #1
Nis2k
LQ Newbie
 
Registered: Dec 2007
Posts: 9

Rep: Reputation: 0
Installation package problem with debhelper


Hello everyone!!
Yes, its me again. I hope ur not tired with all my questions because I have one more, and I hope u can answer it as u answered my other questions, believe me its helping me alot and im getting better with linux every day.

I tired to install limewire in my computer and I had a problem installing the java program the limewire package had for default, so i went to synaptic and tried to install "java-package", and I got an error saying it was impossible to install because it needed the "debhelper" aplication, so i opened a terminal and typed "sudo apt-get install debhelper" and got the following error:


eduardo@eduardo-desktop:~$ sudo apt-get install debhelper
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package debhelper is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package debhelper has no installation candidate

----------------------------------------------------------------------------------

eduardo@eduardo-desktop:~$ sudo apt-get install java-package
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.

Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
java-package: Depends: debhelper but it is not installable
E: Broken packages
 
Old 01-10-2008, 12:21 AM   #2
bigrigdriver
LQ Addict
 
Registered: Jul 2002
Location: East Centra Illinois, USA
Distribution: Debian stable
Posts: 5,891

Rep: Reputation: 351Reputation: 351Reputation: 351Reputation: 351
The gnu.org version is called hello; the Ubuntu version is called hello-debhelper.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
package installation problem in fc6 thrisha123 Linux - Newbie 1 02-03-2007 04:21 AM
message "Problem during installation: x package needed for (installed) x package frayed2 Linux - Newbie 1 04-24-2005 07:05 PM
Problem with Package Installation chjade84 Linux - Newbie 1 04-02-2004 01:14 PM
debhelper help!!!!!!!!!!! another2 Debian 4 07-28-2003 09:31 PM
package installation problem billwoody Linux - Software 3 04-01-2002 01:20 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 08:51 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration